Skip to content

Update project​

PATCH
/v1/projects/{projectId}

Updates editable fields on the project, such as the name or archived status. Send only the attributes that should change.

Authorizations​

BearerAuth

API token provided in the Authorization header as a Bearer token.

Type
HTTP (bearer)

Request Body​

application/json
JSON
{
  
"name": "Landing Page Redesign v2",
  
"status": "archived"
}

Responses​

Project successfully updated.

application/json
JSON
{
  
"id": "ab12cd34ef56gh78ij90klmn",
  
"name": "Landing Page Redesign",
  
"status": "active",
  
"team_id": "4a9d7b2c01e3f5g8h2j4k6l9",
  
"created_at": "2025-10-20T08:00:00.000Z",
  
"updated_at": "2025-11-04T12:05:30.000Z",
  
"is_widget_installed": true
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI